View Issue Details

IDProjectCategoryView StatusLast Update
0002338Kali Linux[All Projects] Tool Upgrade Requestpublic2015-09-03 09:51
Reporterfantomaster Assigned Torhertzog  
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Versionkali-dev 
Target VersionFixed in Version2.0 
Summary0002338: enable ndp support for ettercap
Descriptionndp support is missing in the current version of ettercap in the kali linux repository. This is needed for mitm ndp poisoning attacks against ipv6 enabled networks.
Steps To Reproduce# ettercap -Tqi wlan0 -M ndp:remote //fe80::260d:afff:fe6e:f378/ //2001:db8::2:1/

ettercap 0.8.2 copyright 2001-2015 Ettercap Development Team


MiTM method 'ndp' not supported...

Additional Informationhttps://github.com/Ettercap/ettercap

Demonstration here: https://www.youtube.com/watch?v=CalyetReLpA

Activities

fantomaster

2015-06-18 05:49

reporter   ~0003414

change to CMakeLists.txt to enable IPv6 support

# grep -in ipv6 CMakeLists.txt
15:option(ENABLE_IPV6 "Enable IPv6 support" ON)

rhertzog

2015-09-03 09:51

administrator   ~0003894

I believe this is fixed in Kali 2.0 as we have libnet 1.1.6 which was a requirement to enable NDP support in ettercap.

Issue History

Date Modified Username Field Change
2015-06-18 05:19 fantomaster New Issue
2015-06-18 05:49 fantomaster Note Added: 0003414
2015-09-03 09:51 rhertzog Note Added: 0003894
2015-09-03 09:51 rhertzog Status new => resolved
2015-09-03 09:51 rhertzog Fixed in Version => 2.0
2015-09-03 09:51 rhertzog Resolution open => fixed
2015-09-03 09:51 rhertzog Assigned To => rhertzog
2021-05-31 13:37 rhertzog Category Tool Upgrade => Tool Upgrade Request